package cc.smtweb.system.bpm.web.sys.base.dict;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-07-27 19:59:05
 * 实体【[数据字典](SYS_DICT)】的Entity类
 */
@SwTable("SYS_DICT")
public class Dict extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_DICT";

    public Dict() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("sdc_id");
    }

    /**
     * 主键
     */
    public void setId(long sdc_id) {
        put("sdc_id", sdc_id);
    }

    /**
     * 类别
     */
    public long getType() {
        return getLong("sdc_type");
    }

    /**
     * 类别
     */
    public void setType(long sdc_type) {
        put("sdc_type", sdc_type);
    }

    /**
     * 编码
     */
    public String getCode() {
        return getStr("sdc_code");
    }

    /**
     * 编码
     */
    public void setCode(String sdc_code) {
        put("sdc_code", sdc_code);
    }

    /**
     * 名称
     */
    public String getName() {
        return getStr("sdc_name");
    }

    /**
     * 名称
     */
    public void setName(String sdc_name) {
        put("sdc_name", sdc_name);
    }

    /**
     * 备注
     */
    public String getRemark() {
        return getStr("sdc_remark");
    }

    /**
     * 备注
     */
    public void setRemark(String sdc_remark) {
        put("sdc_remark", sdc_remark);
    }
}
